NSREXECD(8)

NAME
nsrexecd - NetWorker client execution service

SYNOPSIS
nsrexecd [ -s server [ -s server ... ]] [ -f serverfile ] [ -p savepath ] [ -i ]

DESCRIPTION
nsrexecd is used by NetWorker servers to perform automatic operations on NetWorker clients. It is currently used by savegrp(8) to start saves, pre-migrations and storage node functions on NetWorker client machines. When migration is enabled on a NetWorker client, nsrexecd monitors disk usage, starts migration runs using nsrmig(8), and also manages file recall using nsrib(8). When storage node functions are in use, nsrexecd starts nsrmmd(8) daemons and nsrjb(8) commands on the host, and responds to polling requests from the server. See nsr_storage_node(5) for additional detail on storage nodes. The nsrexecd service is normally started at boot time on each NetWorker client machine. Since NetWorker servers are usually expected to be clients of themselves, nsrexecd runs on all NetWorker servers as well.

The nsrexecd service exports an RPC-based service to remotely execute NetWorker operations. All requests must be authenticated, and can optionally be restricted to specific NetWorker servers. Only save requests (for example, save(8) or savefs(8)), migration requests (for example, nsrpmig(8) or nsrmig(8)), and storage node requests are allowed.

When command execution is requested, nsrexecd first verifies that the request is authenticated, and that it comes from a valid NetWorker server. Next, nsrexecd verifies that the command is a save or migration command (for example, save(8) or nsrpmig(8)). It then executes the specified command from the NetWorker binary directory. This directory is normally determined by the location of the nsrexecd executable, but can be specified on the command line.

OPTIONS

-i  As part of the NetWorker server authentication, the server's network address is mapped to a name. The name is then reverse-mapped to a network address. The server is authenticated if and only if the original network address matches the reverse-mapped address. The -i flag skips the address comparison thereby allowing workarounds to misconfigured or misfeatured naming systems. This option should be used with care since it may allow the NetWorker client to send its data to an unauthorized machine.

-f serverfile
    Specifies a file containing a list of NetWorker servers which can initiate saves. This file should list one server name per line. If no -f or -s options are specified, nsrexecd looks for a default file in this same format (or Mac preferences on the Mac client). The location of this default file is listed in the FILES section of this man page.

-p savepath
    Tells nsrexecd to look for save commands in the savepath directory, rather than the default (the directory in which nsrexecd exists).

-s server
    Allows save requests to be initiated only by the given NetWorker server. Multiple -s options may be given to allow access by several NetWorker servers. If a NetWorker server has multiple network interfaces, it is often best to list the hostname corresponding to each network interface, to avoid failed saves.

FILES
/nsr/res/nsrla.res
    The file with attributes describing the NetWorker nsrexecd service and its resources (see nsr_service(5)).
/nsr/res/servers
    The file containing the default list of servers that can back up or migrate the NetWorker client.

SEE ALSO
nsr_service(5), nsr_storage_node(5), nsrib(8), nsrmig(8), nsrpmig(8), nsrports(8), save(8), save(8), savefs(8), savegrp(8)